from openlog.plugins.extensions.barchart_projection.classes import BarTraceSymbology
from openlog.plugins.hookspecs import BarChartProjectionHook, hookimpl

PLUGIN_NAME = "barchart_projection"


@hookimpl
def barchart_projection_plugin():
    return BarChartProjectionHook(
        name=PLUGIN_NAME, projector=BarTraceSymbology, enable=False
    )
